Package org.sunflow.core

# Interface RenderObject

All Known Subinterfaces:
  `CameraLens`, `LightSource`, `Modifier`, `PrimitiveList`, `Shader`, `Tesselatable`

All Known Implementing Classes:
  `AmbientOcclusionShader`, `AnisotropicWardShader`, `Background`, `BanchoffSurface`, `BezierMesh`, `Box`, `BumpMappingModifier`, `Camera`, `ConstantShader`, `CornellBox`, `CubeGrid`, `Cylinder`, `DiffuseShader`, `DirectionalSpotlight`, `FileMesh`, `FisheyeLens`, `Geometry`, `GlassShader`, `Gumbo`, `Hair`, `IDShader`, `ImageBasedLight`, `Instance`, `JuliaFractal`, `MirrorShader`, `NormalMapModifier`, `NormalShader`, `Options`, `ParticleSurface`, `PerlinModifier`, `PhongShader`, `PinholeLens`, `Plane`, `PointLight`, `PrimIDShader`, `QuadMesh`, `QuickGrayShader`, `ShinyDiffuseShader`, `SimpleShader`, `Sphere`, `SphereFlake`, `SphereLight`, `SphericalLens`, `SunSkyLight`, `Teapot`, `TexturedAmbientOcclusionShader`, `TexturedDiffuseShader`, `TexturedPhongShader`, `TexturedShinyDiffuseShader`, `TexturedWardShader`, `ThinLens`, `Torus`, `TriangleMesh`, `TriangleMeshLight`, `UberShader`, `UVShader`, `ViewCausticsShader`, `ViewGlobalPhotonsShader`, `ViewIrradianceShader`, `WireframeShader`

public interface RenderObject
This is the base interface for all public rendering object interfaces. It handles incremental updates via `ParameterList` objects.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`update(ParameterList pl, SunflowAPI api)`
Update this object given a list of parameters.

## Method Details

### update

boolean update(ParameterList pl, SunflowAPI api)
Update this object given a list of parameters. This method is guarenteed to be called at least once on every object, but it should correctly handle empty parameter lists. This means that the object should be in a valid state from the time it is constructed. This method should also return true or false depending on whether the update was succesfull or not.

Parameters:
  `pl` - list of parameters to read from
  `api` - reference to the current scene
Returns:
  `true` if the update is succesfull, `false` otherwise